Summary:       Simplify TCP/IP socket operations
Name:          vanessa_socket
Version:       0.0.12
Release:       1
License:       LGPLv2+ and GPLv2+
URL:           http://www.vergenet.net/linux/vanessa/
Group:         Development/Libraries
Source0:       ftp://vergenet.net/pub/vanessa_socket/vanessa_socket/vanessa_socket-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: popt
BuildRequires: vanessa_logger-devel >= 0.0.8

%description
Library to simplify TCP/IP socket operations. Includes code to
open a socket to a server as a client, to listen on socket for
clients as a server and to pipe information between sockets.


%package devel
Summary:       Headers and static libraries for development
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      vanessa_logger-devel >= 0.0.5

%description devel
Headers and static libraries required to develop against libvanessa_socket.


%package pipe
Summary:       Trivial TCP/IP pipe build using libvanessa_adt
Group:         Applications/System
License:       GPLv2+
Requires:      %{name} = %{version}-%{release}

%description pipe
A TCP/IP pipe is a user space programme that listens for TCP/IP connections on
port on the local host and when a client connects makes a connection to a
TCP/IP port, possibly on another host. Once both connections are established
data sent on one connection is relayed to the other, hence forming a
bi-directional pipe.

Uses include enabling connections to specific ports on hosts behind a
packet filter.

This code is intended primarily as an example of how many of the
features of libvanessa_socket work.

%prep
%setup -q

%build

%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Don't install libvanessa_socket.la
[ ! -e $RPM_BUILD_ROOT/%{_libdir}/libvanessa_socket.la ] || \
	rm $RPM_BUILD_ROOT/%{_libdir}/libvanessa_socket.la

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-, root, root, -)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_libdir}/*.so
%{_includedir}/*.h
%doc README COPYING ChangeLog
%{_libdir}/pkgconfig/*

%files pipe
%defattr(-, root, root, -)
%{_bindir}/*
%{_mandir}/man1/*
%doc vanessa_socket_pipe/COPYING

%changelog
* Wed Sep 01 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.0.12-1
- New release

* Mon Feb 01 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> 0.0.10-2
- Package for Rutgers

* Sat Sep 20 2009 Simon Horman <horms@verge.net.au> (0.0.8-1)
  new release
